Skip to main content
POST
/
cabinet
/
auth
/
account
/
link
/
{provider}
/
callback
Link Provider Callback
curl --request POST \
  --url https://api.example.com/cabinet/auth/account/link/{provider}/callback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "state": "<string>",
  "device_id": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "merge_required": false,
  "merge_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
enum<string>
required
Available options:
google,
yandex,
discord,
vk

Body

application/json
code
string
required

Authorization code from provider

Required string length: 1 - 2048
state
string
required

CSRF state token

Required string length: 1 - 128
device_id
string | null

Device ID from VK ID callback

Maximum string length: 256

Response

Successful Response

success
boolean
required
message
string | null
merge_required
boolean
default:false
merge_token
string | null